# Ogre::EventQueue Class Reference

This class holds InputEvents given to it by the EventProcessor in a FIFO queue. More...

`#include <OgreEventQueue.h>`

List of all members.

## Public Member Functions

| EventQueue ()
virtual | ~EventQueue ()
void | push (InputEvent *e)
InputEvent * | pop ()
void | activateEventQueue (bool set)
| Turn the queue on so it can pop and push InputEvents.
size_t | getSize () const

## Protected Attributes

std::queue< InputEvent * > | mEventQueue
bool | mActivateEventQueue

## Detailed Description

This class holds InputEvents given to it by the EventProcessor in a FIFO queue.

Definition at line 44 of file OgreEventQueue.h.

## Constructor & Destructor Documentation

Ogre::EventQueue::EventQueue | ( |  | ) |

virtual Ogre::EventQueue::~EventQueue | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::EventQueue::activateEventQueue | ( | bool | set | ) |

| Turn the queue on so it can pop and push InputEvents.

size_t Ogre::EventQueue::getSize | ( |  | ) | const

InputEvent* Ogre::EventQueue::pop | ( |  | ) |

void Ogre::EventQueue::push | ( | InputEvent * | e | ) |

## Member Data Documentation

bool Ogre::EventQueue::mActivateEventQueue `[protected]`

| Definition at line 48 of file OgreEventQueue.h.

std::queue<InputEvent*> Ogre::EventQueue::mEventQueue `[protected]`

| Definition at line 47 of file OgreEventQueue.h.

The documentation for this class was generated from the following file:

- OgreEventQueue.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:26 2006